## meson-1.5 1.5.1

=== test cases/frameworks/4 qt/meson_options.txt ===
option('method', type : 'string', value : 'auto', description : 'The method to use to find Qt')
option('required', type : 'string', value : 'qt5', description : 'The version of Qt which is required to be present')

=== debian/changelog ===
meson-1.5 (1.5.1-2ubuntu1~24.04.1) noble; urgency=medium

  * Backport to noble as meson-1.5. (LP: #2083020)
    - disable tests, as four fail but are not critical for the mesa
      build

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Oct 2024 10:01:54 +0300

meson (1.5.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc`
      when linking against external C ABI libraries (LP: 2049904)
  * Silly meson, needs to know about every new LLVM version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Sep 2024 12:45:44 +0200

meson (1.5.1-2) unstable; urgency=medium

  * Remove Mono build deps. Closes: #1051691.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 30 Aug 2024 12:54:34 +0300

meson (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 27 Jul 2024 14:24:55 +0300

meson (1.5.0-2) unstable; urgency=medium

  * Update policy. Closes: #1076108.
  * Update cython dep. Closes: #1076515

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Jul 2024 19:22:35 +0300

meson (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 10 Jul 2024 20:26:20 +0300

meson (1.5.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 08 Jul 2024 20:54:30 +0300

meson (1.5.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 01 Jul 2024 18:39:47 +0300

meson (1.5.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Use Pytest-xdist to run unit tests in parallel.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Jun 2024 19:48:03 +0300

meson (1.4.1-1ubuntu1) oracular; urgency=medium

  * Merge from Debian, remaining changes:
    - d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc`
      when linking against external C ABI libraries (LP: 2049904)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 May 2024 16:55:12 +0300

meson (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 30 May 2024 19:13:45 +0300

meson (1.4.0-2) unstable; urgency=medium

  * Add temporary envvar to use the new crossgen tool.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 22 Apr 2024 22:45:57 +0300

meson (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 12 Mar 2024 19:57:49 +0200

meson (1.4.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 03 Mar 2024 23:34:56 +0200

meson (1.4.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Feb 2024 23:31:57 +0200

meson (1.3.2-1ubuntu1) noble; urgency=medium

  * d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc` when
    linking against external C ABI libraries (LP: #2049904)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 15 Feb 2024 14:03:52 +0000

meson (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 13 Feb 2024 21:38:02 +0200

meson (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 26 Dec 2023 19:31:01 +0200

meson (1.3.0-2) unstable; urgency=medium

  * Switch to cython3-legacy for now. Closes: #1056818.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Dec 2023 21:52:10 +0200

meson (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Nov 2023 21:58:49 +0200

meson (1.3.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 14 Nov 2023 00:38:51 +0200

meson (1.2.3-1) unstable; urgency=medium

  * Upload point release to unstable. Closes: #1055497.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Nov 2023 19:11:56 +0200

meson (1.3.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 06 Nov 2023 00:50:44 +0200

meson (1.3.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 27 Oct 2023 21:17:10 +0300

meson (1.2.1-3) unstable; urgency=medium

  * Remove build dep to GTK 2 things. Closes: #1049376.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 22 Aug 2023 18:00:48 +0300

meson (1.2.1-2) unstable; urgency=medium

  * Add debian/clean. Closes: #1045515.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Aug 2023 19:58:17 +0300

meson (1.2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1041454.
  * Remove dep on gtk-sharp. Closes: #1041653.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 08 Aug 2023 02:05:26 +0300

meson (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 16 Jul 2023 23:59:13 +0300

meson (1.2.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 11 Jul 2023 22:09:18 +0300

meson (1.2.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 05 Jul 2023 23:56:53 +0300

meson (1.2.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 28 Jun 2023 17:53:10 +0300

meson (1.1.1-2) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Jun 2023 19:27:41 +0300

meson (1.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 25 May 2023 21:38:39 +0300

meson (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 10 Apr 2023 18:41:34 +0300

meson (1.1.0~rc2-1) experimental; urgency=medium

  * New upstream release.



=== debian/control ===
Source: meson-1.5
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.7.0
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.7),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  python3-pytest-xdist <!nocheck>,
  zlib1g-dev <!nocheck>,
  pkgconf <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
# Removed due to Mono removal issue 1010445
#  mono-mcs <!nocheck>,
#  mono-devel <!nocheck>,
  libwxgtk3.2-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,
  clang-format <!nocheck>,

Package: meson-1.5
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-pkg-resources,
 python3-setuptools
Recommends:
 dpkg-dev,
Conflicts: meson
Replaces: meson
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1

export QT_SELECT=qt5

# We're not in 1963 anymore, Toto!
export LC_ALL=C.UTF-8

export PYBUILD_NAME=meson

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
#	./run_tests.py
endif
